Subject: Re: detecting rename->commit->modify->commit

From: Jakub Narebski <[email-masked]>
Date: Thu, 01 May 2008 08:47:33 -0700 (PDT)

Ittay Dror <[email-masked]> writes:

> Jeff King wrote:
> >
> > Of course it doesn't work here. You have two files, one containing
> > "hello\n" and one containing "hello\nworld\n". Their similarity is 50%,
> > which is not enough to consider it a rename. And I would argue that's
> > reasonable, since the files have only one line in common. The problem is
> > that you are using a toy example (which is why my example used
> > /usr/share/dict/words, which has enough content to definitively call it
> > a rename).
> >
> >
> Well, I would have expected git to notice that the file was renamed in
> one commit and keep tracking changes afterwards.
> 
> Also, as I wrote in another post, this happened to me with real files
> of a real source tree, and with very small changes (and sometimes not
> at all) to these files.

The idea of rename detection is to help with merges.  If the files are
different enough that content based (similarity based) rename
detection doesn't detect rename, they are usually too different to
merge automatically anyway.

-- 
Jakub Narebski
Poland
ShadeHawk on #git